org.eclipse.wst.jsdt.chromium.debug.ui.actions.pinpoint

## Class PinPointValueAction.ForVariable

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.actions.SelectionBasedAction<T>
  - - org.eclipse.wst.jsdt.chromium.debug.ui.actions.SelectionBasedAction.Single<VariableBasedAction.VariableWrapper>
    - - org.eclipse.wst.jsdt.chromium.debug.ui.actions.pinpoint.PinPointValueAction
      - - org.eclipse.wst.jsdt.chromium.debug.ui.actions.pinpoint.PinPointValueAction.ForVariable

Enclosing class:
  PinPointValueAction

    public static class PinPointValueAction.ForVariable
    extends PinPointValueAction

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.wst.jsdt.chromium.debug.ui.actions.pinpoint.PinPointValueAction

`PinPointValueAction.ForExpression, PinPointValueAction.ForVariable`

### Nested classes/interfaces inherited from class org.eclipse.wst.jsdt.chromium.debug.ui.actions.SelectionBasedAction

`SelectionBasedAction.ActionRunnable, SelectionBasedAction.Single<T>`

### Constructor Summary

Constructors
Constructor and Description
`ForVariable()`

### Method Summary

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.ui.actions.pinpoint.PinPointValueAction

`castElement, createRunnable`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.ui.actions.SelectionBasedAction.Single

`readSelection`

### Methods inherited from class org.eclipse.wst.jsdt.chromium.debug.ui.actions.SelectionBasedAction

`dispose, getAction, init, modifyActionText, restoreActionText, run, runWithEvent, selectionChanged, setActivePart`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ForVariable

    public ForVariable()